#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kget
Summary:        Versatile and user-friendly download manager
Epoch:          3
Version: 24.07.90
Release:        %mkrel %{rel}
Group:          Networking/File transfer
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/kget/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KTorrent6)

BuildRequires:  cmake(Gpgmepp)
BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libmms)
BuildRequires:  boost-devel

Recommends:     kget-handbook


%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files -f %name.lang
%{_kf6_categoriesdir}/kget.categories
%{_kf6_datadir}/dbus-1/services/org.kde.kget.service
%{_kf6_bindir}/kget
%{_qt6_plugindir}/kget/
%{_qt6_plugindir}/kget_kcms/
%{_kf6_applicationsdir}/org.kde.kget.desktop
%{_kf6_datadir}/config.kcfg/kget.kcfg
%{_kf6_datadir}/config.kcfg/kget_checksumsearchfactory.kcfg
%{_kf6_datadir}/config.kcfg/kget_mirrorsearchfactory.kcfg
%{_kf6_datadir}/config.kcfg/kget_mmsfactory.kcfg
%{_kf6_datadir}/config.kcfg/kget_multisegkiofactory.kcfg
%{_kf6_datadir}/icons/*/*/*/*
%{_kf6_datadir}/kget/
%{_kf6_knotificationsdir}/kget.notifyrc
%{_kf6_metainfodir}/org.kde.kget.appdata.xml
%{_kf6_datadir}/kio/servicemenus/kget_download.desktop
%{_kf6_datadir}/kio/servicemenus/kget_plugin.desktop

#------------------------------------------------------------------------------

%define major_kgetcore 6
%define libkgetcore %mklibname kgetcore %{major_kgetcore}

%package -n %libkgetcore
Summary:        Runtime library for KGET
Group:          System/Libraries

%description -n %libkgetcore
Runtime library for KGET.

%files -n %libkgetcore
%_kf6_libdir/libkgetcore.so.%{major_kgetcore}{,.*}

#------------------------------------------------------------------------------

%package -n kget-handbook
Summary:        Kget Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kget >= %{epoch}:%{version}-%{release}

%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%doc %{_kf6_docdir}/HTML/*/kget


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkgetcore = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf6_libdir/*.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name



%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 3:24.07.90-1.mga10
+ Revision: 2085096
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 3:24.05.1-1.mga10
+ Revision: 2073203
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 3:24.05.0-1.mga10
+ Revision: 2069834
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 3:24.02.2-1.mga10
+ Revision: 2058603
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 3:24.02.0-1.mga10
+ Revision: 2045148
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 3:24.01.95-1.mga10
+ Revision: 2037646
- New version 24.01.95

* Thu Jan 25 2024 neoclust <neoclust> 3:24.01.90-1.mga10
+ Revision: 2034634
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 3:24.01.85-1.mga10
+ Revision: 2026836
- New version 24.01.85
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 3:23.08.1-1.mga10
+ Revision: 1989595
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 3:23.04.1-1.mga9
+ Revision: 1958172
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 3:22.12.3-1.mga9
+ Revision: 1946484
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 3:22.12.2-1.mga9
+ Revision: 1941777
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 3:22.12.0-1.mga9
+ Revision: 1922897
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 3:22.11.90-1.mga9
+ Revision: 1911392
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 3:22.08.3-1.mga9
+ Revision: 1905244
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 3:22.08.1-1.mga9
+ Revision: 1886764
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 3:22.08.0-1.mga9
+ Revision: 1882596
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 3:22.04.3-1.mga9
+ Revision: 1873060
- New version 22.04.3

* Wed Apr 27 2022 neoclust <neoclust> 3:22.04.0-1.mga9
+ Revision: 1854562
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 3:22.03.90-1.mga9
+ Revision: 1850886
- New version 22.03.90

* Mon Apr 04 2022 wally <wally> 3:21.12.0-3.mga9
+ Revision: 1843378
- rebuild for gpgme 1.17.1

* Mon Apr 04 2022 wally <wally> 3:21.12.0-2.mga9
+ Revision: 1843371
- rebuild for gpgme 1.17.1

* Mon Dec 27 2021 neoclust <neoclust> 3:21.12.0-1.mga9
+ Revision: 1764504
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 3:21.04.1-1.mga9
+ Revision: 1724052
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 3:21.04.0-1.mga9
+ Revision: 1718339
- New version 21.04.0

* Fri Mar 05 2021 daviddavid <daviddavid> 3:20.12.3-3.mga9
+ Revision: 1699117
- update BRs
- update Source Url

* Thu Mar 04 2021 neoclust <neoclust> 3:20.12.3-2.mga9
+ Revision: 1698536
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 3:20.12.2-1.mga9
+ Revision: 1694068
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 3:20.12.0-1.mga8
+ Revision: 1655598
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 3:20.08.3-1.mga8
+ Revision: 1643984
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 3:20.08.2-1.mga8
+ Revision: 1633799
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 3:20.08.1-1.mga8
+ Revision: 1627042
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 3:20.08.0-1.mga8
+ Revision: 1614910
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 3:20.04.3-1.mga8
+ Revision: 1604108
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 3:20.04.2-1.mga8
+ Revision: 1596841
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 3:20.04.1-1.mga8
+ Revision: 1585118
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 3:20.04.0-1.mga8
+ Revision: 1568122
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 3:19.12.3-1.mga8
+ Revision: 1559311
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 3:19.12.2-2.mga8
+ Revision: 1540225
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 3:19.12.2-1.mga8
+ Revision: 1513281
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 3:19.12.0-1.mga8
+ Revision: 1466933
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 3:19.08.3-1.mga8
+ Revision: 1457885
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 3:19.08.1-1.mga8
+ Revision: 1446912
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 3:19.04.3-1.mga8
+ Revision: 1424980
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 3:19.04.0-1.mga7
+ Revision: 1390435
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 3:19.03.90-1.mga7
+ Revision: 1387642
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 3:18.12.3-2.mga7
+ Revision: 1382383
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 3:18.12.3-1.mga7
+ Revision: 1375582
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 3:18.12.2-1.mga7
+ Revision: 1365555
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 3:18.12.1-1.mga7
+ Revision: 1356493
- New version 18.12.1

* Thu Dec 20 2018 neoclust <neoclust> 3:18.12.0-1.mga7
+ Revision: 1343240
- New version 18.12.0

* Sun Nov 25 2018 daviddavid <daviddavid> 3:18.08.3-2.mga7
+ Revision: 1334362
- enable libmms support

* Wed Nov 21 2018 neoclust <neoclust> 3:18.08.3-1.mga7
+ Revision: 1332733
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 3:18.08.2-2.mga7
+ Revision: 1332272
- enable LibKWorkspace support

* Thu Nov 01 2018 neoclust <neoclust> 3:18.08.2-1.mga7
+ Revision: 1327387
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 3:18.04.1-2.mga7
+ Revision: 1298530
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 neoclust <neoclust> 3:18.04.1-1.mga7
+ Revision: 1240278
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 3:17.12.2-1.mga7
+ Revision: 1201883
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 3:17.12.1-2.mga7
+ Revision: 1195268
- Add conflict to ease upgrade
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 3:17.12.0-1.mga7
+ Revision: 1191395
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 3:17.08.0-1.mga7
+ Revision: 1143033
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 3:17.07.90-1.mga7
+ Revision: 1136767
- New version 17.07.90

* Sun Jul 16 2017 neoclust <neoclust> 3:17.04.3-1.mga7
+ Revision: 1123731
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090063
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076799
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1073947
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067327
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061385
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050652
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047292
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040053
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012539
- New version 16.04.1

* Tue Apr 26 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1006537
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994886
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991177
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987446
- New version 15.12.2

* Mon Jan 25 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 927380
- New version 15.12.1
- New version 15.12.0
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859170
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800599
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787685
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 749697
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734547
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681060
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667484
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 662996
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656674
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653860
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2
- disable nepomuk

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651965
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636734
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625501
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615578
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609394
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606835
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603342
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600677
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 592141
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589253
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 554994
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551262
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540464
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490840
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488633
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476917
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465314
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458908
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455298
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 lmenut <lmenut> 3:4.10.90-1.mga4
+ Revision: 451000
- Add missing conflicts
+ mikala <mikala>
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kget

